# Get a pool rule

Get a pool rule.

Endpoint: GET /api/pool_rules/{poolRuleId}
Version: 1.0
Security: ApiKeyAuth

## Path parameters:

  - `poolRuleId` (integer, required)

## Response 200 fields (application/json):

  - `conditions` (array, required)
    Conditions that must be met for the rule to assign an attempt to a pool. If multiple conditions are specified, all conditions must be met.

  - `conditions.type` (string, required)
    Type of the condition.
    Enum: "invocation_type", "project_name", "workflow_name", "workflow_type"

  - `conditions.values` (array, required)
    Invocation types to match against. If multiple values are provided, the condition is met if the invocation type is one of the provided invocation types.

  - `conditions.operator` (string, required)
    Operator to use for matching the project name.
    Enum: "starts_with"

  - `conditions.values` (array, required)
    Values to match against the project name. If multiple values are provided, the condition is met if the project name matches one of the provided values.

  - `conditions.operator` (string, required)
    Operator to use for matching the workflow name.
    Enum: "starts_with"

  - `conditions.values` (array, required)
    Values to match against the workflow name. If multiple values are provided, the condition is met if the workflow name matches one of the provided values.

  - `conditions.values` (array, required)
    Workflow types to match against. If multiple values are provided, the condition is met if the workflow type is one of the provided workflow types.

  - `id` (string, required)
    ID of the pool rule.
    Example: 42

  - `poolId` (string, required)
    ID of the pool that this rule assigns attempts to.
    Example: 42

  - `priority` (integer, required)
    Priority of the rule. Rules are evaluated in priority order, from the lowest value to the highest value. Multiple rules cannot have the same priority.
    Example: 10

